@prometheus-stack
Feature: Test grafana admin login
  As an OAS admin
  I want to be able to login to grafana as the user admin
  And I want to be able to look at the logs

Scenario: Open grafana
  When I open the grafana URL
  Then I wait on element "//input[@name='user']" for 25000ms to be visible
  And I expect that the title is "Grafana"
  And I expect that element "//input[@name='password']" is visible
  And I expect that the path is "/login"

Scenario: Login to grafana
  Given the element "//input[@name='user']" is visible
  When I enter the "grafana" "username" in the inputfield "//input[@name='user']"
  And I enter the "grafana" "password" in the inputfield "//input[@name='password']"
  And I click on the button "//button[@aria-label='Login button']"
  Then I wait on element "sidemenu.sidemenu" for 60000ms to be visible
  And I expect that the path is "/"

Scenario: As an admin I want to look at the helm-operator logs
  When I open the grafana explore helm-operator URL
  Then I wait on element ".logs-panel" for 25000ms to be visible
  And I expect that element ".datapoints-warning" does not exist
