from oas_behave.common_steps import *


@when(u'I open the rocketchat URL')
@given(u'I open the rocketchat URL')
def step_impl(context):
    """Open rocketchat URL."""
    context.behave_driver.get(context.rocketchat['url'])

@when(u'I open the wordpress URL')
@given(u'I open the wordpress URL')
def step_impl(context):
    """Open wordpress URL."""
    context.behave_driver.get(context.wordpress['url'])

@when(u'I open the grafana explore helm-operator URL')
@given(u'I open the grafana explore helm-operator URL')
def step_impl(context):
    """Open wordpress URL."""
    helm_operator_url = str(context.grafana["url"]) + '/explore?orgId=1&left=["now-1h","now","Loki",{"expr":"{app=\\\"helm-operator\\\"}"}]'
    print(helm_operator_url)
    context.behave_driver.get(helm_operator_url)

